### Method

# Goa Object get_documents

deprecated: Unknown

#### Declaration [src]

    GoaDocuments*
    goa_object_get_documents (
      GoaObject* object
    )

#### Description [src]

Gets the `GoaDocuments` instance for the D-Bus interface org.gnome.OnlineAccounts.Documents on `object`, if any.

Deprecated since: Unknown

The D-Bus interface has been deprecated.

Gets property | `Goa.Object:documents`

#### Return value

Type: `GoaDocuments`

A `GoaDocuments` that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.